/**
 * @file ProgressBar.cpp
 * @brief Show a Progress-Bar with time estimation - threaded
 * @author Michael Koch
 * @date 25/03/2010
 */
#include "core/image/ImageT.h"
#include "core/vector/VectorT.h"
#include "core/vector/MatrixT.h"
#include <core/imagedisplay/ImageDisplay.h>

#include <iostream>

#include "vislearning/baselib/ProgressBar.h"


using namespace OBJREC;

using namespace std;

using namespace NICE;

ProgressBar::ProgressBar ( std::string a ) : ProgressBarQt ( a, true )
{
  start();
}
ProgressBar::~ProgressBar()
{
  terminate();
  wait();
}
void ProgressBar::run()
{
  if ( working )
  {
    sleep ( 1 );
  }
}

